var clickEvent = (function() {
	var jsInterfaceEvent = {
		navBar: function() {
			function navBarCallBack(type, json, success) {
				if (success) {
					confirm("navbar！" + json)
				}
			}
			nativeFunction("navBar", {
				title: "navBar",
				url: "15156024268"
			}, navBarCallBack)
		},
		callPhone: function() {
			function callPhoneBack(type, json, success) {
				if (success) {
					confirm("callPhone！" + json)
				}

			}
			nativeFunction("callPhone", {
				data: "15156024268",
			}, callPhoneBack)
		},
		webBrowser: function() {
			function webBrowserCallBack(type, json, success) {
				if (success) {
					confirm("webBrowser！" + json)
				}

			}
			nativeFunction("webBrowser", {
				data: "http://www.baidu.com",
			}, webBrowserCallBack)
		},
		closeView: function() {
			function closeViewCallBack(type, json, success) {
				if (success) {
					confirm("closeView！" + json)
				}

			}
			nativeFunction("closeView", {}, closeViewCallBack)
		},
		openView: function() {
			function openViewCallBack(type, json, success) {
				if (success) {
					confirm("openView！" + json)
				}

			}
			nativeFunction("openView", {
				title: "openView",
				url: "http://www.baidu.com"
			}, openViewCallBack)
		},
		navBarTitle: function() {
			function navBarTitleCallBack(type, json, success) {
				if (success) {
					confirm("navBarTitle！" + json)
				}

			}
			nativeFunction("navBarTitle", {
				title: "navBarTitle",
				url: "http://www.baidu.com"
			}, navBarTitleCallBack)
		},
		navBarHidden: function() {
			function navBarHiddenCallBack(type, json, success) {
				if (success) {
					confirm("navBarHidden！" + json)
				}

			}
			nativeFunction("navBarHidden", {
				data: "1"
			}, navBarHiddenCallBack)
		},
		waittingView: function() {
			function waittingViewCallBack(type, json, success) {
				if (success) {
					confirm("waittingView！" + json)
				}

			}
			nativeFunction("waittingView", {
				data: "0"
			}, waittingViewCallBack)
		},
		W3School: function() {
			function W3SchoolCallBack(type, json, success) {
				if (success) {
					window.location.href = "http://www.w3school.com.cn"
				}

			}

			nativeFunction("navBarTitle", {
				title: "navBarTitle",
				url: "http://www.w3school.com.cn"
			}, W3SchoolCallBack)
		},
		scanQrcode: function() {
			function scanQrcodeCallBack(type, json, success) {
				if (success) {
				alert(type+"："+json);
					window.location.href = "http://www.w3school.com.cn"
				}

			}

			nativeFunction("scanCode", {
				"resultType":"scanIptAndsendToWeb"
			}, scanQrcodeCallBack)
		}
	};
	return jsInterfaceEvent;
}());